/*
**  READER.C [edit EMAIL.H before compiling]
**
**  This program reads the specified email message
**  and saves it to disk.
*/

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include "see.h"
#include "email.h"

#define QUOTE 0x22

static char Buffer[1024];

void ErrorExit(int Code)
{seeErrorText(Code,(LPSTR)Buffer,512);
 printf("SEE Error %d: %s\n", Code, Buffer);
 seeClose();
 exit(1);
}
 
void main(int argc, char *argv[])
{int i, Code;
 int Version; 
 int Count;
 int MsgNbr;
 long MsgSize;
 long BytesRead = 0;
 if(argc!=3)
   {printf("Usage: READER MsgNbr Filename\n");
    printf("   eg: READER 1 message.mai\n");    
    exit(1);
   }
   
 /* display parameters */

 Version = seeStatistics(SEE_GET_VERSION);
 printf("SEE4C Version %1x.%1x.%1x\n",0x0f&(Version>>8),0x0f&(Version>>4),0x0f&Version);
 printf("Server : %s\n",(LPSTR)POP3_HOST_NAME);
 printf("  User : %s\n",(LPSTR)POP3_USER_NAME);
 printf("  Pass : %s\n",(LPSTR)POP3_PASSWORD);
 printf("MsgNbr : %s\n",(LPSTR)argv[1] );
 printf("SaveTo : %s\n",(LPSTR)argv[2]);
 
 MsgNbr = atoi(argv[1]); 
 if((MsgNbr<1)||(MsgNbr>1000))
   {printf("MsgNbr = %d out of range\n", MsgNbr);
    exit(1);
   }
 /* define diagnostics log file */
 ///seeStringParam(SEE_LOG_FILE, (LPSTR)"reader.log"); 
 /* connect to POP3 server */
 puts("Connecting...");
 Code = seePop3Connect(
    (LPSTR)POP3_HOST_NAME,             /* POP3 server */
    (LPSTR)POP3_USER_NAME,             /* user */ 
    (LPSTR)POP3_PASSWORD);             /* Password */
 if(Code<0) ErrorExit(Code); 
 /* get # messages waiting  */
 puts("Getting message count...");
 Count = seeGetEmailCount();                   
 if(Count<0) ErrorExit(Count); 
 printf("%d messages waiting.\n", Count);
 /* read email message */
 if((Count>=1)&&(MsgNbr<=Count))
   {/* read message  */
    MsgSize = seeGetEmailSize(MsgNbr);
    if(MsgSize<0) ErrorExit((int)MsgSize);
    printf("Message %d has %ld bytes\n", MsgNbr, MsgSize);    
    /* turn off AUTO CALL driver */
    seeIntegerParam(SEE_AUTO_CALL_DRIVER, 0); 
    printf("Reading message %d...\n",MsgNbr);
    ///Code = seeGetEmailFile(MsgNbr, argv[2], "c:\\temp", "c:\\temp");
    Code = seeGetEmailFile(MsgNbr, argv[2], ".", ".");
    if(Code<0) ErrorExit(Code);
    /* run the driver */
    for(i=0;;i++)
      {Code = seeDriver();
       if(Code<0) ErrorExit(Code);
       if(((i%10)==9)||(Code==0))
         {/* display progress on last call & every 10th call to seeDriver() */
          BytesRead = (long) seeStatistics(SEE_GET_TOTAL_BYTES_READ);
          printf("%ld bytes read.\r",BytesRead);
         }
       if(Code==0) break;
       }
    printf("\n");    
    /* turn AUTO CALL back on for seeClose */
    seeIntegerParam(SEE_AUTO_CALL_DRIVER, 1);
    if(Code<0) ErrorExit(Code); 
   }
 else printf("No messages waiting\n");
 seeClose();
} /* end main */


